
Infrastructure - Bug #3005

DEV cn's not returning proper describe response

2012-06-21 23:26 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.4 Story Points:  

Product Version: *   

Description

History

#1 - 2012-06-21 23:58 - Rob Nahf

- Category set to Metacat

- Assignee set to Chris Jones

- Milestone changed from CCI-1.0.0 to CCI-1.0.3

cn.describe() did not return a content_length value (that header map entry was not present in the response).

ServiceFailure: 0:: Could not convert the returned content_length string (null) to a BigInteger: serialized value cannot be null

[for host HEAD https://cn-dev-2.dataone.org/cn/v1/object/TierTesting:cn-dev-2:Public_READ.14]

#2 - 2012-06-22 17:51 - Rob Nahf

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

- Position deleted (1)

- Position set to 1

#3 - 2012-07-09 13:36 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

#4 - 2012-07-31 00:20 - Dave Vieglais

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

#5 - 2012-08-31 14:15 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

- Position changed from 1 to 490

- Position deleted (22)

#6 - 2012-09-01 01:57 - Chris Jones

- Status changed from New to Closed

I've tested this on the Metacat HEAD, which will go into the 1.0.4 release.  The describe response is returned fine, with the Content-Length header set
to the value coming from sysmeta.getSize():

cjones@colorado:local$ curl -X HEAD -v -o - "http://localhost:8080/knb/d1/mn/v1/object/BAYXXX_015ADCP015R00_20041130.50.6"

* About to connect() to localhost port 8080 (#0)

*   Trying 127.0.0.1...

* connected

* Connected to localhost (127.0.0.1) port 8080 (#0)

HEAD /knb/d1/mn/v1/object/BAYXXX_015ADCP015R00_20041130.50.6 HTTP/1.1

User-Agent: curl/7.24.0 (x86_64-apple-darwin10.8.0) libcurl/7.24.0 OpenSSL/1.0.1b zlib/1.2.6 libidn/1.22

Host: localhost:8080

Accept: /

< HTTP/1.1 200 OK

< Server: Apache-Coyote/1.1

< DataONE-Checksum: MD5,9edfc69283b66a8c07c3c638cb092b52

< Last-Modified: 2012-09-01T01:41:28.725+00:00

< DataONE-ObjectFormat: eml://ecoinformatics.org/eml-2.0.1

< DataONE-SerialVersion: 1

< Content-Type: text/xml

< Content-Length: 29775

< Date: Sat, 01 Sep 2012 01:50:54 GMT

 

I think we can close this out in that it works, and perhaps the test system metadata didn't have the size field set?  We'll see if it shows up again.
